- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::Frame Class Reference

A class for encapsulating all the data relating to a frame. More...

`#include <frame.h>`

List of all members.

## Public Member Functions
| Frame (const FrameParams &fp)
| Constructor.
| Frame (const Frame &cpy)
| Copy constructor. Private as not currently used [may want to implement reference counting later.].
virtual | ~Frame ()
| Destructor.
Frame & | operator= (const Frame &rhs)
| Assignment =. Private as not currently used [may want to implement reference counting later.].
const FrameParams & | GetFparams () const
| Gets the frame parameters.
void | SetFrameSort (const FrameSort fs)
| Sets the frame sort.
PicArray & | Ydata ()
| Returns the luma data array.
PicArray & | Udata ()
| Returns the U component.
PicArray & | Vdata ()
| Returns the V component.
const PicArray & | Ydata () const
| Returns the luma data array.
const PicArray & | Udata () const
| Returns the U component.
const PicArray & | Vdata () const
| Returns the V component.
PicArray & | Data (CompSort cs)
| Returns a given component.
const PicArray & | Data (CompSort cs) const
| Returns a given component.
PicArray & | UpYdata ()
| Returns upconverted Y data.
PicArray & | UpUdata ()
| Returns upconverted U data.
PicArray & | UpVdata ()
| Returns upconverted V data.
PicArray & | UpData (CompSort cs)
| Returns a given upconverted component.
const PicArray & | UpYdata () const
| Returns upconverted Y data.
const PicArray & | UpUdata () const
| Returns upconverted U data.
const PicArray & | UpVdata () const
| Returns upconverted V data.
const PicArray & | UpData (CompSort cs) const
| Returns a given upconverted component.
void | Clip ()
| Clip the data to prevent overshoot.

## Detailed Description

A class for encapsulating all the data relating to a frame.

A class for encapsulating all the data relating to a frame - all the component data, including upconverted data.

Definition at line 50 of file frame.h.

## Constructor & Destructor Documentation

Frame::Frame | ( | const FrameParams & | fp | ) |

| Constructor. Constructor initialises the frame parameters and the data Definition at line 50 of file frame.cpp.

## Member Function Documentation

void Frame::Clip | ( |  | ) |

| Clip the data to prevent overshoot. Clips the data to lie between 0 and 1020 (4*255) in 10-bit form to prevent overshoot/wraparound. Definition at line 343 of file frame.cpp. References dirac::FrameParams::CFormat(). Referenced by dirac::FrameCompressor::Compress(), and dirac::FrameDecompressor::Decompress().

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/frame.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/frame.cpp